<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Avalonia" Version="11.3.13" />
		<PackageReference Include="Avalonia.Controls.DataGrid" Version="11.3.13" />
		<PackageReference Include="Avalonia.Desktop" Version="11.3.13" />
		<PackageReference Include="Avalonia.Themes.Fluent" Version="11.3.13" />
		<PackageReference Include="Avalonia.Themes.Simple" Version="11.3.13" />

		<!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
		<PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.3.13" />
		<PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.2" />
		<PackageReference Include="Microsoft.Extensions.Hosting" Version="10.0.5" />
		<PackageReference Include="MessageBox.Avalonia" Version="3.3.1.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\Core\LogViewer.Core\LogViewer.Core.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Compile Update="LogViewerControl.axaml.cs">
			<DependentUpon>%(Filename)</DependentUpon>
		</Compile>
	</ItemGroup>

</Project>
